using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATHistory")]
public partial class Athistory
{
    [Key]
    public int HistoryId { get; set; }

    public int TransactionType { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime DateOfTransaction { get; set; }

    [StringLength(255)]
    public string UserName { get; set; } = null!;

    [StringLength(255)]
    public string WorkItemName { get; set; } = null!;

    public int WorkItemId { get; set; }

    [InverseProperty("History")]
    public virtual ICollection<AthistoryEvent> AthistoryEvents { get; set; } = new List<AthistoryEvent>();

    [InverseProperty("History")]
    public virtual ICollection<AthistoryParameter> AthistoryParameters { get; set; } = new List<AthistoryParameter>();
}
